{
	saved_FirstTime[0]
	
	Init[(s)
	{
		if(saved_FirstTime=0)
		{
			saved_FirstTime=1;
			SetNationality(2);
			SetInvulnerable(true);
			PlayAnimation(8);
			GiveWeapon(44);
			SetAttackDistance(16,16);
			SetState_Patrol(0);
			SetLineOfSight(1);
			SetWander(0);
		}
	}]

	DelayReached[ (delay)
	{
		Player = Level.GetPlayer();

		if (delay=0)
		{
		
			PlaySound(51);
			Delay(5,1);
		}

		if (delay=1)
		{
			
			FollowPath("waters1",0,Player,2,5,0,true);
			FollowPathCallback(127, "Delay",0,2);
		}

		if (delay=2)
		{
			
			FollowPath("waters8",0,Player,2,5,0,true);
			FollowPathCallback(127, "Delay",0,3);

		}

		if (delay=3)
		{
			
			FollowPath("waters2",0,Player,2,5,0,true);
			FollowPathCallback(127, "Delay",0,4);

		}

		if (delay=4)
		{
			
			FollowPath("waters3",0,Player,2,5,0,true);
			FollowPathCallback(127, "Delay",0,5);

		}

		if (delay=5)
		{
			
			FollowPath("waters4",0,Player,2,5,0,true);
			FollowPathCallback(127, "Delay",0,6);

		}

		if (delay=6)
		{
			
			FollowPath("waters5",0,Player,2,5,0,true);
			FollowPathCallback(127, "Delay",0,7);

		}

		if (delay=7)
		{
			
			FollowPath("waters6",0,Player,2,5,0,true);
			FollowPathCallback(127, "PlaySound",50,100,0);
			FollowPathCallback(127, "Delay",0,8);

		}

		if (delay=8)
		{
			
			FollowPath("waters7",0,Player,2,5,0,true);

		}


	}]

	PatrolCrouch[()
	{
		SetCrouching();
		PlayAnimation(10);
	}]

	PatrolStand[()
	{
		SetRunning();
		PlayAnimation(13);
	}]

}